# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/CBC.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Cookies.pm) perl(PBKDF2/Tiny.pm) perl(Test/More.pm) perl(base.pm) perl(bignum.pm) perl(Digest/SHA.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name HTTP-Cookies-ChromeMacOS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: MacOS.uO.O'.UO.''Chrome Cookies
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MC/MCCHEUNG/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Quick summary of what the module does.

Perhaps a little code snippet.

    use HTTP::Cookies::ChromeMacOS;

    my $cookie = HTTP::Cookies::ChromeMacOS->new();
    $cookie->load( "/path/to/Cookies", 'Want to load domain' );

    # /path/to/Cookies Usually is: ~/Library/Application Support/Google/Chrome/Default/Cookies
    # Want to load domain can be: google, yahoo, facebook etc or null will load all cookies

    my $ua = LWP::UserAgent->new(
      cookie_jar => $cookie,
      agent => 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_4) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/43.0.2357.134 Safari/537.36',
    );

    ...
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/H*

%changelog
* Mon Oct 12 2015 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

